Bug 473566

Summary: gnome-terminal crashes when used with rsh/--display specification
Product: [Fedora] Fedora Reporter: Bevis King <B.King>
Component: gnome-terminalAssignee: Behdad Esfahbod <behdad>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 11CC: behdad, fedora, gk4
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 06:51:02 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Bevis King 2008-11-29 06:50:56 EST
Description of problem:
When starting a gnome-terminal on a remote host with all X11/TCP infrastructure code including CORBA via IPv4 enabled (other apps work fine), the gnome-terminal gets a glibc double free error and crashes...

rsh willow gnome-terminal --display $DISPLAY
**
ERROR:terminal-app.c:1525:terminal_app_init: assertion failed: (app->default_profile_id != NULL)
*** glibc detected *** gnome-terminal: double free or corruption (out): 0x000000000178c0e0 ***

and then hangs...

Other X applications work fine.

Version-Release number of selected component (if applicable):
gnome-terminal-2.24.1-2.fc10.x86_64

How reproducible:
every time

Steps to Reproduce:
1. Enable X11/TCP mode and xauth on NFS - restart GDM/X server
2. Enable ORBIOPIPv4 in /etc/orbitrc
3. Login into GNOME session on Workstation
4. xauth list - take value and xauth -f .Xauthority add with the 
details
5. Enable rsh-server on the file server machine on the local network
6. Test rsh is working (.rhosts etc)
7. Run:  rsh fileserver gnome-terminal --display $DISPLAY
  
Actual results:
Gnome terminal crashes with assertion failure.

Expected results:
Gnome terminal starts on fileserver displaying via X11/TCP

Additional info:
Local network is secure - TCP/X11 tunnelling and SSH is totally unnecessary and over the top and produces significant latency and consumes ptys.
Comment 1 Bevis King 2008-11-30 05:06:50 EST
This also happens if you login via ssh and try to start gnome-terminal from the command line like so:

willow% gnome-terminal --display cyane:0 &
[1] 13791
willow% **
ERROR:terminal-app.c:1525:terminal_app_init: assertion failed: (app->default_profile_id != NULL)

[1]    Abort                         gnome-terminal --display cyane:0
willow%
Comment 2 George Kraft 2009-01-21 13:30:25 EST
I'm getting the same failure when starting gnome-terminal from the GNOME panel or command line of an existing gnome-terminal.  I have no idea why I was able to start gnome-terminals then it stopped.  I've seen this in several login sessions.  I've had to put xterm on the panel as a backup.
Comment 3 Paul Sladen 2009-09-28 09:33:08 EDT
https://launchpad.net/bugs/436188 + dups, although this was allegedly fixed before at https://launchpad.net/bugs/298426
Comment 4 Bug Zapper 2009-11-18 04:04:04 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Paul Sladen 2009-11-18 08:50:08 EST
AFAIK, this is still current;  it is in the other distros above.
Comment 6 Bevis King 2009-11-18 09:02:51 EST
Yes, this is still a problem with Fedora 11.
Comment 7 Bevis King 2009-11-18 09:03:39 EST
Looks like I have managed to change the release to Fedora 11, so the bug won't get automatically closed.
Comment 8 Bug Zapper 2010-04-27 08:24:02 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 06:51:02 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.